﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

using Spire.Xls;

namespace Bug493
{
    class Program
    {

        static void Main(string[] args)
        {
            DataTable customersTable = new DataTable("Customers");
            DataColumn customersColumn;
            DataRow customersRow;
            customersColumn = new DataColumn();
            customersColumn.DataType = System.Type.GetType("System.Int32");
            customersColumn.ColumnName = "CustID";
            customersTable.Columns.Add(customersColumn);
            customersColumn = new DataColumn();
            customersColumn.DataType = Type.GetType("System.String");
            customersColumn.ColumnName = "CustLName";
            customersTable.Columns.Add(customersColumn);
            for (int i = 0; i < 10; i++)
            {
                customersRow = customersTable.NewRow();
                customersRow["CustID"] = i;
                customersRow["CustLName"] = "Customer" + i.ToString();
                customersTable.Rows.Add(customersRow);
            }
            DataTable productsTable = new DataTable("products");
            DataColumn productsColumn;
            DataRow productsRow;
            productsColumn = new DataColumn();
            productsColumn.DataType = System.Type.GetType("System.Int32");
            productsColumn.ColumnName = "productID";
            productsTable.Columns.Add(productsColumn);
            productsColumn = new DataColumn();
            productsColumn.DataType = Type.GetType("System.String");
            productsColumn.ColumnName = "productName";
            productsTable.Columns.Add(productsColumn);
            for (int i = 0; i < 10; i++)
            {
                productsRow = productsTable.NewRow();
                productsRow["productID"] = i;
                productsRow["productName"] = "Product" + i.ToString();
                productsTable.Rows.Add(productsRow);
            }
            Workbook workbook = new Workbook();
            Worksheet worksheet = workbook.Worksheets[0];
            worksheet.InsertDataTable(productsTable, true, 1, 1);
            worksheet.InsertDataTable(customersTable, true, 12, 1);
            workbook.SaveToFile("sample.xls");
        }
    }
}
